/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/DAOPTION.CPP   1.5   20 Jun 1996 09:29:30   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/DAOPTION.CPP  $
** 
**    Rev 1.5   20 Jun 1996 09:29:30   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.3   10 Jun 1996 10:24:08   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.1   29 May 1996 09:35:46   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// daoption.cpp
//
// Michael Long
//                                                                           
// 5/14/96
//
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"

#include "toolopt.h"
#include "da.h"
#include "daoption.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DAOption dialog


DAOption::DAOption(DATool * pTool)
    : CPropertyPage(DAOption::IDD)
{                                
    ASSERT(pTool);              
    
    m_pTool = pTool;
    
    LoadData();
    
    //{{AFX_DATA_INIT(DAOption)
    
    //}}AFX_DATA_INIT
}

void DAOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(DAOption)
    DDX_Check(pDX, IDC_DAOPT_CHECK1, m_fDebug);
    DDX_Check(pDX, IDC_DAOPT_CHECK2, m_fList);
    DDX_Text(pDX, IDC_DAOPT_EDIT, m_strMore);
    DDX_Text(pDX, IDC_DAOPT_PATH_EDIT, m_strPath);
    //}}AFX_DATA_MAP
}

void DAOption::SaveData(void)
{                                  
    //UpdateData(TRUE);

    m_pTool->m_fDebug    = m_fDebug;
    m_pTool->m_fList     = m_fList;
    m_pTool->m_strMore   = m_strMore;
    m_pTool->m_strPath   = m_strPath;

}

void DAOption::LoadData(void)
{
    m_fDebug    = m_pTool->m_fDebug;
    m_fList     = m_pTool->m_fList;
    m_strMore   = m_pTool->m_strMore;
    m_strPath   = m_pTool->m_strPath;

}

BEGIN_MESSAGE_MAP(DAOption, CPropertyPage)
    //{{AFX_MSG_MAP(DAOption)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// DAOption message handlers
